### Function

# FwupdPlugin common_get_kernel_cmdline

since: 1.5.6

#### Declaration [src]

    gchar*
    fu_common_get_kernel_cmdline (
      GError** error
    )

#### Description [src]

Returns the current kernel command line options.

Available since: 1.5.6

#### Return value

Type: `gchar*`

Options as a string, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.